commit 2d31587003068f754f1c662c620964cbdd99750f
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon May 11 13:10:28 2020 +0200

    Documentation massively overhauled:
    - Remote Procedure Call system massively reworked.
    - Component diagram slightly enhanced.
    - Several fixes.

diff --git a/doc/activitydiagrams/core/urtCoreGetStatus.svg b/doc/activitydiagrams/core/urtCoreGetStatus.svg
index c53b7ec..d099b68 100644
--- a/doc/activitydiagrams/core/urtCoreGetStatus.svg
+++ b/doc/activitydiagrams/core/urtCoreGetStatus.svg
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="233px" preserveAspectRatio="none" style="width:351px;height:233px;" version="1.1" viewBox="0 0 351 233" width="351px" zoomAndPan="magnify"><defs><filter height="300%" id="flafrcxsdhrgr" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="130" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="169" x="90" y="47.6611">urtCoreGetStatus()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="177.5" y="68.6143"/><path d="M171,72.8594 L171,138.2578 L339,138.2578 L339,82.8594 L329,72.8594 L171,72.8594 " fill="#FBFB77" filter="url(#flafrcxsdhrgr)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M329,72.8594 L329,82.8594 L339,82.8594 L329,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="171" x2="237.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="241.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-style="italic" lengthAdjust="spacingAndGlyphs" textLength="27" x="241.5" y="89.4263">void</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="272.5" y="89.4263"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="272.5" x2="339" y1="85.4258" y2="85.4258"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="171" x2="339" y1="97.9922" y2="97.9922"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="171" x2="339" y1="99.9922" y2="99.9922"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="171" x2="184" y1="110.5586" y2="110.5586"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="188" y="114.5591"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="188" y="114.5591">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="85" x="237" y="114.5591">: urt_status_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="326" x2="339" y1="110.5586" y2="110.5586"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="147" x="177" y="130.1919">Current system status.</text><ellipse cx="255" cy="168.2578" fill="#000000" filter="url(#flafrcxsdhrgr)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><path d="M10,196.6914 L10,221.8242 A0,0 0 0 0 10,221.8242 L224,221.8242 A0,0 0 0 0 224,221.8242 L224,214.6914 L244,209.2578 L224,206.6914 L224,206.6914 L214,196.6914 L10,196.6914 A0,0 0 0 0 10,196.6914 " fill="#FBFB77" filter="url(#flafrcxsdhrgr)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M214,196.6914 L214,206.6914 L224,206.6914 L214,196.6914 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="91" x="16" y="213.7583">Returns core's</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="56" x="111" y="213.7583">_status</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="38" x="171" y="213.7583">value.</text><ellipse cx="255" cy="209.2578" fill="#FFFFFF" filter="url(#flafrcxsdhrgr)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="255" cy="209.2578" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="255" x2="255" y1="138.2578" y2="158.2578"/><polygon fill="#A80036" points="251,148.2578,255,158.2578,259,148.2578,255,152.2578" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="255" x2="255" y1="178.2578" y2="198.2578"/><polygon fill="#A80036" points="251,188.2578,255,198.2578,259,188.2578,255,192.2578" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[dbee62f80b7a85c1f9d1310ae8513b2f]
+<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="233px" preserveAspectRatio="none" style="width:351px;height:233px;" version="1.1" viewBox="0 0 351 233" width="351px" zoomAndPan="magnify"><defs><filter height="300%" id="flafrcxsdhrgr" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="130" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="169" x="90" y="47.6611">urtCoreGetStatus()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="177.5" y="68.6143"/><path d="M171,72.8594 L171,138.2578 L339,138.2578 L339,82.8594 L329,72.8594 L171,72.8594 " fill="#FBFB77" filter="url(#flafrcxsdhrgr)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M329,72.8594 L329,82.8594 L339,82.8594 L329,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="171" x2="237.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="241.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-style="italic" lengthAdjust="spacingAndGlyphs" textLength="27" x="241.5" y="89.4263">void</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="272.5" y="89.4263"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="272.5" x2="339" y1="85.4258" y2="85.4258"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="171" x2="339" y1="97.9922" y2="97.9922"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="171" x2="339" y1="99.9922" y2="99.9922"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="171" x2="184" y1="110.5586" y2="110.5586"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="188" y="114.5591"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="188" y="114.5591">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="85" x="237" y="114.5591">: urt_status_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="326" x2="339" y1="110.5586" y2="110.5586"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="147" x="177" y="130.1919">Current system status.</text><ellipse cx="255" cy="168.2578" fill="#000000" filter="url(#flafrcxsdhrgr)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><path d="M10,196.6914 L10,221.8242 A0,0 0 0 0 10,221.8242 L224,221.8242 A0,0 0 0 0 224,221.8242 L224,214.6914 L244,209.2578 L224,206.6914 L224,206.6914 L214,196.6914 L10,196.6914 A0,0 0 0 0 10,196.6914 " fill="#FBFB77" filter="url(#flafrcxsdhrgr)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M214,196.6914 L214,206.6914 L224,206.6914 L214,196.6914 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="91" x="16" y="213.7583">Returns core's</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="56" x="111" y="213.7583">_status</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="38" x="171" y="213.7583">value.</text><ellipse cx="255" cy="209.2578" fill="#FFFFFF" filter="url(#flafrcxsdhrgr)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="255" cy="209.2578" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="255" x2="255" y1="138.2578" y2="158.2578"/><polygon fill="#A80036" points="251,148.2578,255,158.2578,259,148.2578,255,152.2578" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="255" x2="255" y1="178.2578" y2="198.2578"/><polygon fill="#A80036" points="251,188.2578,255,198.2578,259,188.2578,255,192.2578" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[ef624b0eac628e8942612de10e16b26f]
 @startuml
 
 title **µRtWare**\nurtCoreGetStatus()\n
@@ -25,7 +25,7 @@ PlantUML version 1.2020.00(Sat Jan 11 13:30:53 CET 2020)
 (GPL source distribution)
 Java Runtime: OpenJDK Runtime Environment
 JVM: OpenJDK 64-Bit Server VM
-Java Version: 11.0.6+10-post-Ubuntu-1ubuntu118.04.1
+Java Version: 11.0.7+10-post-Ubuntu-2ubuntu218.04
 Operating System: Linux
 Default Encoding: UTF-8
 Language: en