commit 2d31587003068f754f1c662c620964cbdd99750f
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon May 11 13:10:28 2020 +0200

    Documentation massively overhauled:
    - Remote Procedure Call system massively reworked.
    - Component diagram slightly enhanced.
    - Several fixes.

diff --git a/doc/activitydiagrams/core/urtCoreGetTopic.svg b/doc/activitydiagrams/core/urtCoreGetTopic.svg
index 6fd6b41..650eb7c 100644
--- a/doc/activitydiagrams/core/urtCoreGetTopic.svg
+++ b/doc/activitydiagrams/core/urtCoreGetTopic.svg
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="596px" preserveAspectRatio="none" style="width:472px;height:596px;" version="1.1" viewBox="0 0 472 596" width="472px" zoomAndPan="magnify"><defs><filter height="300%" id="fsrkmh5myir7y" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="190.5" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="163" x="153.5" y="47.6611">urtCoreGetTopic()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="238" y="68.6143"/><path d="M144,72.8594 L144,168.5234 L460,168.5234 L460,82.8594 L450,72.8594 L144,72.8594 " fill="#FBFB77" filter="url(#fsrkmh5myir7y)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M450,72.8594 L450,82.8594 L460,82.8594 L450,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="144" x2="245.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="249.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="14" x="249.5" y="89.4263">id</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="87" x="267.5" y="89.4263">: urt_topicid_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="358.5" x2="460" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="205" x="150" y="105.0591">Identifier of the topic to retrieve.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="144" x2="460" y1="113.125" y2="113.125"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="144" x2="460" y1="115.125" y2="115.125"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="144" x2="232" y1="125.6914" y2="125.6914"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="236" y="129.6919"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="236" y="129.6919">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="83" x="285" y="129.6919">: urt_topic_t*</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="372" x2="460" y1="125.6914" y2="125.6914"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="260" x="150" y="145.3247">Returns a pointer to the requested topic.</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="49" x="150" y="160.4575">Returns</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="203" y="160.4575">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="206" x="239" y="160.4575">if no topic matches the given ID.</text><ellipse cx="302" cy="198.5234" fill="#000000" filter="url(#fsrkmh5myir7y)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><rect fill="#FEFECE" filter="url(#fsrkmh5myir7y)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="77" x="263.5" y="228.5234"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="57" x="273.5" y="249.6621">lock core</text><rect fill="#FEFECE" filter="url(#fsrkmh5myir7y)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="127" x="238.5" y="282.4922"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="107" x="248.5" y="303.6309">access first topic</text><rect fill="#FEFECE" filter="url(#fsrkmh5myir7y)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="155" x="224.5" y="393.7808"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="135" x="234.5" y="414.9194">proceed to next topic</text><polygon fill="#FEFECE" filter="url(#fsrkmh5myir7y)" points="241,336.4609,363,336.4609,375,349.2656,363,362.0703,241,362.0703,229,349.2656,241,336.4609" style="stroke: #A80036; stroke-width: 1.5;"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="20" x="306" y="372.2808">yes</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="70" x="241" y="346.6714">Topic ist not</text><text fill="#000000" font-family="monospace" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="28" x="315" y="346.6714">NULL</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="122" x="241" y="359.4761">and topic ID is lower?</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="14" x="215" y="346.6714">no</text><rect fill="#FEFECE" filter="url(#fsrkmh5myir7y)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="93" x="255.5" y="469.7495"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="73" x="265.5" y="490.8882">unlock core</text><polygon fill="#FEFECE" filter="url(#fsrkmh5myir7y)" points="239,523.7183,365,523.7183,377,536.5229,365,549.3276,239,549.3276,227,536.5229,239,523.7183" style="stroke: #A80036; stroke-width: 1.5;"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="66" x="239" y="533.9287">Topic is not</text><text fill="#000000" font-family="monospace" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="28" x="309" y="533.9287">NULL</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="126" x="239" y="546.7334">and topic ID matches?</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="20" x="207" y="533.9287">yes</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="14" x="377" y="533.9287">no</text><path d="M10,559.3276 L10,584.4604 A0,0 0 0 0 10,584.4604 L185,584.4604 A0,0 0 0 0 185,584.4604 L185,577.3276 L205,571.894 L185,569.3276 L185,569.3276 L175,559.3276 L10,559.3276 A0,0 0 0 0 10,559.3276 " fill="#FBFB77" filter="url(#fsrkmh5myir7y)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M175,559.3276 L175,569.3276 L185,569.3276 L175,559.3276 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="154" x="16" y="576.3945">Returns pointer to topic.</text><ellipse cx="216" cy="571.894" fill="#FFFFFF" filter="url(#fsrkmh5myir7y)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="216" cy="571.894" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><path d="M247,559.3276 L247,584.4604 A0,0 0 0 0 247,584.4604 L357,584.4604 A0,0 0 0 0 357,584.4604 L357,577.3276 L377,571.894 L357,569.3276 L357,569.3276 L347,559.3276 L247,559.3276 A0,0 0 0 0 247,559.3276 " fill="#FBFB77" filter="url(#fsrkmh5myir7y)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M347,559.3276 L347,569.3276 L357,569.3276 L347,559.3276 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="49" x="253" y="576.3945">Returns</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="306" y="576.3945">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="338" y="576.3945">.</text><ellipse cx="388" cy="571.894" fill="#FFFFFF" filter="url(#fsrkmh5myir7y)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="388" cy="571.894" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="168.5234" y2="188.5234"/><polygon fill="#A80036" points="298,178.5234,302,188.5234,306,178.5234,302,182.5234" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="208.5234" y2="228.5234"/><polygon fill="#A80036" points="298,218.5234,302,228.5234,306,218.5234,302,222.5234" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="262.4922" y2="282.4922"/><polygon fill="#A80036" points="298,272.4922,302,282.4922,306,272.4922,302,276.4922" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="362.0703" y2="393.7808"/><polygon fill="#A80036" points="298,383.7808,302,393.7808,306,383.7808,302,387.7808" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="427.7495" y2="437.7495"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="391.5" y1="437.7495" y2="437.7495"/><polygon fill="#A80036" points="387.5,401.9604,391.5,391.9604,395.5,401.9604,391.5,397.9604" style="stroke: #A80036; stroke-width: 1.5;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="391.5" x2="391.5" y1="349.2656" y2="437.7495"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="391.5" x2="375" y1="349.2656" y2="349.2656"/><polygon fill="#A80036" points="385,345.2656,375,349.2656,385,353.2656,381,349.2656" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="229" x2="212.5" y1="349.2656" y2="349.2656"/><polygon fill="#A80036" points="208.5,387.9604,212.5,397.9604,216.5,387.9604,212.5,391.9604" style="stroke: #A80036; stroke-width: 1.5;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="212.5" x2="212.5" y1="349.2656" y2="449.7495"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="212.5" x2="302" y1="449.7495" y2="449.7495"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="449.7495" y2="469.7495"/><polygon fill="#A80036" points="298,459.7495,302,469.7495,306,459.7495,302,463.7495" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="316.4609" y2="336.4609"/><polygon fill="#A80036" points="298,326.4609,302,336.4609,306,326.4609,302,330.4609" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="227" x2="216" y1="536.5229" y2="536.5229"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="216" x2="216" y1="536.5229" y2="560.894"/><polygon fill="#A80036" points="212,550.894,216,560.894,220,550.894,216,554.894" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="377" x2="388" y1="536.5229" y2="536.5229"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="388" x2="388" y1="536.5229" y2="560.894"/><polygon fill="#A80036" points="384,550.894,388,560.894,392,550.894,388,554.894" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="503.7183" y2="523.7183"/><polygon fill="#A80036" points="298,513.7183,302,523.7183,306,513.7183,302,517.7183" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[e10488ce6407e6aad5cae1b04658f332]
+<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="596px" preserveAspectRatio="none" style="width:472px;height:596px;" version="1.1" viewBox="0 0 472 596" width="472px" zoomAndPan="magnify"><defs><filter height="300%" id="fsrkmh5myir7y" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="190.5" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="163" x="153.5" y="47.6611">urtCoreGetTopic()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="238" y="68.6143"/><path d="M144,72.8594 L144,168.5234 L460,168.5234 L460,82.8594 L450,72.8594 L144,72.8594 " fill="#FBFB77" filter="url(#fsrkmh5myir7y)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M450,72.8594 L450,82.8594 L460,82.8594 L450,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="144" x2="245.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="249.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="14" x="249.5" y="89.4263">id</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="87" x="267.5" y="89.4263">: urt_topicid_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="358.5" x2="460" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="205" x="150" y="105.0591">Identifier of the topic to retrieve.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="144" x2="460" y1="113.125" y2="113.125"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="144" x2="460" y1="115.125" y2="115.125"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="144" x2="232" y1="125.6914" y2="125.6914"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="236" y="129.6919"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="236" y="129.6919">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="83" x="285" y="129.6919">: urt_topic_t*</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="372" x2="460" y1="125.6914" y2="125.6914"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="260" x="150" y="145.3247">Returns a pointer to the requested topic.</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="49" x="150" y="160.4575">Returns</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="203" y="160.4575">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="206" x="239" y="160.4575">if no topic matches the given ID.</text><ellipse cx="302" cy="198.5234" fill="#000000" filter="url(#fsrkmh5myir7y)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><rect fill="#FEFECE" filter="url(#fsrkmh5myir7y)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="77" x="263.5" y="228.5234"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="57" x="273.5" y="249.6621">lock core</text><rect fill="#FEFECE" filter="url(#fsrkmh5myir7y)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="127" x="238.5" y="282.4922"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="107" x="248.5" y="303.6309">access first topic</text><rect fill="#FEFECE" filter="url(#fsrkmh5myir7y)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="155" x="224.5" y="393.7808"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="135" x="234.5" y="414.9194">proceed to next topic</text><polygon fill="#FEFECE" filter="url(#fsrkmh5myir7y)" points="241,336.4609,363,336.4609,375,349.2656,363,362.0703,241,362.0703,229,349.2656,241,336.4609" style="stroke: #A80036; stroke-width: 1.5;"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="20" x="306" y="372.2808">yes</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="70" x="241" y="346.6714">Topic ist not</text><text fill="#000000" font-family="monospace" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="28" x="315" y="346.6714">NULL</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="122" x="241" y="359.4761">and topic ID is lower?</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="14" x="215" y="346.6714">no</text><rect fill="#FEFECE" filter="url(#fsrkmh5myir7y)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="93" x="255.5" y="469.7495"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="73" x="265.5" y="490.8882">unlock core</text><polygon fill="#FEFECE" filter="url(#fsrkmh5myir7y)" points="239,523.7183,365,523.7183,377,536.5229,365,549.3276,239,549.3276,227,536.5229,239,523.7183" style="stroke: #A80036; stroke-width: 1.5;"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="66" x="239" y="533.9287">Topic is not</text><text fill="#000000" font-family="monospace" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="28" x="309" y="533.9287">NULL</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="126" x="239" y="546.7334">and topic ID matches?</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="20" x="207" y="533.9287">yes</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="14" x="377" y="533.9287">no</text><path d="M10,559.3276 L10,584.4604 A0,0 0 0 0 10,584.4604 L185,584.4604 A0,0 0 0 0 185,584.4604 L185,577.3276 L205,571.894 L185,569.3276 L185,569.3276 L175,559.3276 L10,559.3276 A0,0 0 0 0 10,559.3276 " fill="#FBFB77" filter="url(#fsrkmh5myir7y)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M175,559.3276 L175,569.3276 L185,569.3276 L175,559.3276 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="154" x="16" y="576.3945">Returns pointer to topic.</text><ellipse cx="216" cy="571.894" fill="#FFFFFF" filter="url(#fsrkmh5myir7y)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="216" cy="571.894" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><path d="M247,559.3276 L247,584.4604 A0,0 0 0 0 247,584.4604 L357,584.4604 A0,0 0 0 0 357,584.4604 L357,577.3276 L377,571.894 L357,569.3276 L357,569.3276 L347,559.3276 L247,559.3276 A0,0 0 0 0 247,559.3276 " fill="#FBFB77" filter="url(#fsrkmh5myir7y)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M347,559.3276 L347,569.3276 L357,569.3276 L347,559.3276 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="49" x="253" y="576.3945">Returns</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="306" y="576.3945">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="338" y="576.3945">.</text><ellipse cx="388" cy="571.894" fill="#FFFFFF" filter="url(#fsrkmh5myir7y)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="388" cy="571.894" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="168.5234" y2="188.5234"/><polygon fill="#A80036" points="298,178.5234,302,188.5234,306,178.5234,302,182.5234" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="208.5234" y2="228.5234"/><polygon fill="#A80036" points="298,218.5234,302,228.5234,306,218.5234,302,222.5234" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="262.4922" y2="282.4922"/><polygon fill="#A80036" points="298,272.4922,302,282.4922,306,272.4922,302,276.4922" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="362.0703" y2="393.7808"/><polygon fill="#A80036" points="298,383.7808,302,393.7808,306,383.7808,302,387.7808" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="427.7495" y2="437.7495"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="391.5" y1="437.7495" y2="437.7495"/><polygon fill="#A80036" points="387.5,401.9604,391.5,391.9604,395.5,401.9604,391.5,397.9604" style="stroke: #A80036; stroke-width: 1.5;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="391.5" x2="391.5" y1="349.2656" y2="437.7495"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="391.5" x2="375" y1="349.2656" y2="349.2656"/><polygon fill="#A80036" points="385,345.2656,375,349.2656,385,353.2656,381,349.2656" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="229" x2="212.5" y1="349.2656" y2="349.2656"/><polygon fill="#A80036" points="208.5,387.9604,212.5,397.9604,216.5,387.9604,212.5,391.9604" style="stroke: #A80036; stroke-width: 1.5;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="212.5" x2="212.5" y1="349.2656" y2="449.7495"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="212.5" x2="302" y1="449.7495" y2="449.7495"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="449.7495" y2="469.7495"/><polygon fill="#A80036" points="298,459.7495,302,469.7495,306,459.7495,302,463.7495" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="316.4609" y2="336.4609"/><polygon fill="#A80036" points="298,326.4609,302,336.4609,306,326.4609,302,330.4609" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="227" x2="216" y1="536.5229" y2="536.5229"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="216" x2="216" y1="536.5229" y2="560.894"/><polygon fill="#A80036" points="212,550.894,216,560.894,220,550.894,216,554.894" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="377" x2="388" y1="536.5229" y2="536.5229"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="388" x2="388" y1="536.5229" y2="560.894"/><polygon fill="#A80036" points="384,550.894,388,560.894,392,550.894,388,554.894" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="302" x2="302" y1="503.7183" y2="523.7183"/><polygon fill="#A80036" points="298,513.7183,302,523.7183,306,513.7183,302,517.7183" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[f67b4aa2806003001af4b2ea8bc4ca1b]
 @startuml
 
 title **µRtWare**\nurtCoreGetTopic()\n
@@ -40,7 +40,7 @@ PlantUML version 1.2020.00(Sat Jan 11 13:30:53 CET 2020)
 (GPL source distribution)
 Java Runtime: OpenJDK Runtime Environment
 JVM: OpenJDK 64-Bit Server VM
-Java Version: 11.0.6+10-post-Ubuntu-1ubuntu118.04.1
+Java Version: 11.0.7+10-post-Ubuntu-2ubuntu218.04
 Operating System: Linux
 Default Encoding: UTF-8
 Language: en